## org.hibernate.id
Interface CompositeNestedGeneratedValueGenerator.GenerationContextLocator

All Known Implementing Classes:
  Component.StandardGenerationContextLocator

Enclosing class:
  CompositeNestedGeneratedValueGenerator

    public static interface CompositeNestedGeneratedValueGenerator.GenerationContextLocator

Contract for declaring how to locate the context for sub-value injection.

Method Summary
`Serializable` `locateGenerationContext(SessionImplementor session, Object incomingObject)` Given the incoming object, determine the context for injecting back its generated id sub-values.

Method Detail

### locateGenerationContext

    Serializable locateGenerationContext(SessionImplementor session,
                                         Object incomingObject)

  Given the incoming object, determine the context for injecting back its generated id sub-values.

  Parameters:
    `session` - The current session
    `incomingObject` - The entity for which we are generating id
  Returns:
    The injection context

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.